## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatementsFactory

All Known Implementing Classes:
  SQLStatementsFactoryImpl

public interface SQLStatementsFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLStatementsPackage`

Field Summary
`static SQLStatementsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`SQLStatementDefault` `createSQLStatementDefault()` Returns a new object of class 'SQL Statement Default'.
`SQLStatementsPackage` `getSQLStatementsPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    public static final SQLStatementsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSQLStatementDefault

    public SQLStatementDefault createSQLStatementDefault()

  Returns a new object of class 'SQL Statement Default'.

  Returns:
    a new object of class 'SQL Statement Default'.

### getSQLStatementsPackage

    public SQLStatementsPackage getSQLStatementsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.